<!-- .slide: data-background="slides/motivation.jpg" data-background-size="contain" data-background-opacity="0.5"  -->
## Motivation <!-- .element: class="text-over-image" -->
<!-- .slide: data-background-color="#033" -->

-V-
<!-- .slide: data-background="slides/motivation.jpg" data-background-size="contain" data-background-opacity="0.3" -->
<!-- .slide: data-background-color="#033" -->
Why do we do the things we do?

---

### External motivation

Carrot and stick; someone else sets our path.
<!-- .element: class="fragment" -->

- activity feels meaningless <!-- .element: class="fragment" -->
- makes it easier to procrastinate <!-- .element: class="fragment" -->
- long-term: numbs our self-motivation <!-- .element: class="fragment" -->

---

### Internal motivation

We have our own target and we follow it.
<!-- .element: class="fragment" -->

- progress feels more rewarding <!-- .element: class="fragment" -->
- brings good mood <!-- .element: class="fragment" -->
- engages creativity and learning <!-- .element: class="fragment" -->

---

### Goal-based motivation
<!-- .slide: data-background-image="slides/goal_based_motivation.jpg" data-background-size="contain" data-background-opacity="0.2" -->
We want to achieve something in the future. 

Two phases:<!-- .element: class="fragment" -->
1. long displeasure from not reaching the goal<!-- .element: class="fragment" -->
2. short rush of joy from reaching the goal<!-- .element: class="fragment" -->
    - that quickly evaporates<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-image="slides/goal_based_motivation.jpg" data-background-size="contain" data-background-opacity="0.1" -->

**Pros:** it works!

**Cons:** it causes us damage,<br />it is not sustainable
<!-- .element: class="fragment" -->

Joy fades, requiring more demanding goals. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-image="slides/hedonic_treadmill.jpg" data-background-size="contain" data-background-opacity="0.1" -->
### Hedonic treadmill <a class="reference" href="https://en.wikipedia.org/wiki/Hedonic_treadmill">🔗</a>

> Humans quickly return to a relatively stable level of happiness despite major positive or negative events.

The reward for finishing a major goal<br />is not worth a long struggle to get there.<!-- .element: class="fragment" -->

---

### Journey-based motivation
<!-- .slide: data-background-image="slides/journey_based_motivation.jpg" data-background-size="contain" data-background-opacity="0.2" -->
Joy is found in doing an activity, not finishing it.

* We enjoy the activity itself. <!-- .element: class="fragment" -->
* "Happiness now", not just at the end. <!-- .element: class="fragment" -->
* Unlocks a state of deep concentration known as flow. <!-- .element: class="fragment" -->
    * Practicing flow brings contentment and mastery, <!-- .element: class="fragment" -->
    * that in turn brings results. <!-- .element: class="fragment" -->

---

### Flow
<!-- .slide: data-background-image="slides/flow.jpg" data-background-size="contain" data-background-opacity="0.2" -->
State of deep immersion in an activity that...<!-- .element: class="fragment" -->

* is challenging<!-- .element: class="fragment" -->
* makes use of our strengths<!-- .element: class="fragment" -->
* matches our skills<!-- .element: class="fragment" -->
* is enjoyable.<!-- .element: class="fragment" -->

We tend to lose our sense of time.<!-- .element: class="fragment" -->

And it feels good.<!-- .element: class="fragment" -->

---

### Meaning
<!-- .slide: data-background-image="slides/group_vision.jpg" data-background-size="contain" data-background-opacity="0.1" -->
When your actions have positive impact on others,<br />
it gives them a deeper meaning.<!-- .element: class="fragment" -->

- supporting the greater good feels rewarding<!-- .element: class="fragment" -->
    - helping others,<!-- .element: class="fragment" -->
    - being part of something bigger,<!-- .element: class="fragment" -->
    - creating a legacy<!-- .element: class="fragment" -->
- it creates a strong and lasting motivation <!-- .element: class="fragment" -->

-V-

### Personal vision
<!-- .slide: data-background-image="slides/group_vision.jpg" data-background-size="contain" data-background-opacity="0.1" -->

How we'd like to spend our limited time.<!-- .element: class="fragment" -->

- activities we'd like to be doing<!-- .element: class="fragment" -->
- milestones we'd like to pass<!-- .element: class="fragment" -->
- journey-based internal motivation<!-- .element: class="fragment" -->

-V-

### Group vision
<!-- .slide: data-background-image="slides/group_vision.jpg" data-background-size="contain" data-background-opacity="0.2" -->
Cooperation of individual visions.<!-- .element: class="fragment" -->

- it boosts the entire group <!-- .element: class="fragment" -->
- as well as one's own potential <!-- .element: class="fragment" -->

> The whole is greater than the sum of its parts.
<!-- .element: class="fragment" -->

---
<!-- .slide: data-background-color="#542" data-background-image="slides/personal_vision.jpg" data-background-size="contain" data-background-opacity="0.5" -->
### TOOL: Personal Vision
<!-- .element: class="text-over-image" -->

-V-
<!-- .slide: data-background-color="#542" data-background-image="slides/personal_vision.jpg" data-background-size="contain" data-background-opacity="0.3" -->
What is the direction of your journey?

What gets out of bed in the morning?<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#542" data-background-image="slides/personal_vision.jpg" data-background-size="contain" data-background-opacity="0.1" -->
#### How to build a Personal Vision?
1. Personal SWOT analysis<!-- .element: class="fragment" -->
2. List your Achievements<!-- .element: class="fragment" -->
3. Analyze motivating activities<!-- .element: class="fragment" -->
4. Define a Beta-Vision<!-- .element: class="fragment" -->
5. Final Personal Vision<!-- .element: class="fragment" -->

---
<!-- .slide: data-background-color="#542" -->
#### Step 1:
### Personal SWOT

<div class="flex-container flex-wrap flex-table flex-table-2">
    <div><h4>S</h4>Strengths</div><!-- .element: class="fragment" -->
    <div><h4>W</h4>Weaknesses</div><!-- .element: class="fragment" -->
    <div><h4>O</h4>Opportunities</div><!-- .element: class="fragment" -->
    <div><h4>T</h4>Threats</div><!-- .element: class="fragment" -->
</div>

-V-
<!-- .slide: data-background-color="#542" -->
Time to reflect on yourself!

-V-
<!-- .slide: data-background-color="#542" -->
#### Strengths
- skills, traits and qualities you have
- using them supports flow
- personal vision makes use of these as much as possible

-V-
<!-- .slide: data-background-color="#542" -->
#### Weaknesses
- qualities you lack; limitations and negative traits
- using them retards flow
- personal vision avoids them if possible

These can be improved, but don't devote too much time to it. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#542" -->
 #### Opportunities
 - possibilities today's world offers to you
 - using them supports flow
 - personal vision builds on them
 
 Only a few will be used. <!-- .element: class="fragment" -->
 
 The rest needs to be rejected and banished: <!-- .element: class="fragment" -->
 - to gain focus, clarity and mastery, <!-- .element: class="fragment" -->
 - to avoid decision paralysis or regrets. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#542" -->
#### Threats
- risks, possible negative impacts or scenarios
- take them into account
- recognize them and be prepared
- awareness helps with facing a potential fear

-V-
<!-- .slide: data-background-color="#030" -->
### My SWOT

-V-
<!-- .slide: data-background-color="#030" -->
#### Strengths
- life-long programming experience, love building useful solutions
- attention to detail, carefulness, looking for perfection; love creating nice and clean software
- persevering problem solver; like to explore and solve mysteries in tech
- open-minded and attentive listener

-V-
<!-- .slide: data-background-color="#030" -->
#### Weaknesses
- introverted, social interactions are taxing
- lacking in open confrontation, group arguments
- cautious in opinions, not an 'influencer'

-V-
<!-- .slide: data-background-color="#030" -->
#### Opportunities
- switch jobs for
    - better fitting role - SW developer?
    - higher pay
    - different tech stack
- contribute to an open source project
- use college degree (distributed systems)
- build specific expertise, get exposure
- share knowledge through talks and blog
- contribute to the state-of-the-art

-V-
<!-- .slide: data-background-color="#030" -->
#### Threats
- changed role: boring / stressful / annoying
- changed job:
    - low pay / annoying co-workers / toxic&nbsp;workplace / long commute
    - having to use Windows
- more exposure - personal attacks

-V-
<!-- .slide: data-background-color="#030" -->
#### My Observations
- my SWOT felt misaligned with the current career (people management)<!-- .element: class="fragment" -->
- Threats already applied to the current situation<!-- .element: class="fragment" -->

Change was desirable and not even that risky.<!-- .element: class="fragment" -->

---
<!-- .slide: data-background-color="#542" -->
#### Step 2:
### Personal Achievements
- things that brought you joy / you are proud of<!-- .element: class="fragment" -->
- provides specific evidence of your strengths<!-- .element: class="fragment" -->
- helps to gain confidence and think positively<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### My Achievements

- finished college with a cool master's thesis
- became a dev team leader
- self-hosting the services I use via VPS
- extracted ERP legacy tax functionality via a strategy pattern
- built and coded a split keyboard
- learned to type using the Workman layout
- ...

-V-
<!-- .slide: data-background-color="#030" -->
#### My Observations
- Nice! I did some cool things!<!-- .element: class="fragment" -->
- Very little of it was connected to people&nbsp;management<!-- .element: class="fragment" -->

---
<!-- .slide: data-background-color="#542" -->
#### Step 3:
### Analyzing motivating activities

Find out what drives you; strengthen your vision.<!-- .element: class="fragment" -->

<div class="fragment">

Categories of activities:
- bringing personal growth
- creating legacy
- building relationships
- with deeper meaning

</div>

-V-
<!-- .slide: data-background-color="#542" -->
#### Growth : Legacy : Relationships : Meaning

An activity should ideally fit into multiple categories.

Goal: find groups of activities that support each other.<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" data-transition="slide-in fade-out" -->
### My Activities
- writing readable code, testing, refactoring
- exploring new technologies and approaches
- contributing to open source projects
- learning through books and conferences
- knowledge sharing through blog, mentoring, talks
- working with colleagues - reviews, discussions
- research of innovative solutions
- solving problems, making software more useful
...

-V-
<!-- .slide: data-background-color="#030" data-transition="slide-out fade-in"-->
### My Activities Grouped
- collaborative software development (direct)
- exchange of experience (learning & teaching)
- research, experiments, investigation

---
<!-- .slide: data-background-color="#542" -->
#### Step 4:
### Beta-Vision
Finding a personal vision takes effort and time.<!-- .element: class="fragment" -->

<br/>

Finding a beta version is easier<br />so you won't procrastinate to start!<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#542" -->
#### Answer these...

1. Favorite quote/idea that resonates?
2. Life values?
3. Fulfilling activities?
4. Meaningful activities?

-V-
<!-- .slide: data-background-color="#030" -->
### My Beta-Vision

- coding useful software on a daily basis, publicly
- learning from others and sharing my knowledge

---
<!-- .slide: data-background-color="#542" -->
#### Step 5:
### Final Personal Vision

<p>
A few paragraphs of what you want to be doing,
<br>
taking into account the analysis from the previous steps.
</p>
<!-- .element: class="fragment" -->
-V-
<!-- .slide: data-background-color="#030" -->
### My Final Vision

WIP

---
<!-- .slide: data-background-color="#542" -->
### Act Now!

*How can you incorporate your vision in the daily life?*<!-- .element: class="fragment" -->

Starting small is fine, as long as you start!<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### My First Steps

1. Coding refresher:<!-- .element: class="fragment" -->
    - **Kotlin** Koans
    - **Go** by Example
    - Learn **Go** with Tests
    - Personal **React** project
2. Fixing defects in the Android apps that I use (in Kotlin). <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### My Findings

- starting small & early was great:<!-- .element: class="fragment" -->
    - for "prototyping" the vision<!-- .element: class="fragment" -->
    - to experiment stress-free<!-- .element: class="fragment" -->
    - to avoid overthinking it<!-- .element: class="fragment" -->
    - to figure out if I need to scale it out<!-- .element: class="fragment" -->
- I regularly experienced flow, improved my mood, raised my skills and really enjoyed doing it.<!-- .element: class="fragment" -->
- having a vision is one thing, but acting on it is also essential<!-- .element: class="fragment" -->
